<?php
// Copyright 2000, 2001 Sun Microsystems, Inc.  All rights reserved.
// $Id: reportHandler.php,v 1.3 2001/12/07 02:51:33 pbaltz Exp $

include("ArrayPacker.php");
include("ServerScriptHelper.php");
include("Product.php");
include_once('Error.php');

$serverScriptHelper = new ServerScriptHelper();
$cceClient = $serverScriptHelper->getCceClient();
$product = new Product($cceClient);

// check if cce is suspended, so reports don't get generated.  
// there is most likely a backup going on
if ($cceClient->suspended() !== false)
{
	$msg = $cceClient->suspended() ? $cceClient->suspended() : '[[base-cce.suspended]]';
	print $serverScriptHelper->toHandlerHtml(
			"/base/sitestats/reportForm.php?group=$group&type=$type&noback=$noback", 
			array(new Error($msg)));
	$serverScriptHelper->destructor();
	exit;
}

$oids = $cceClient->find("System");

// Cheesily strip leading zeroes.  
$_endDate_month  = ereg_replace('^0', '', $_endDate_month);
$_startDate_month  = ereg_replace('^0', '', $_startDate_month);
$_endDate_day  = ereg_replace('^0', '', $_endDate_day);
$_startDate_day  = ereg_replace('^0', '', $_startDate_day);

$config = array(
	"startDay" => $_startDate_day,
	"startMonth" => $_startDate_month,
	"startYear" => $_startDate_year,
	"endDay" => $_endDate_day,
	"endMonth" => $_endDate_month,
	"endYear" => $_endDate_year,
	"report" => $type,
	"update" => time(),
	"site" => $group,
);

$cceClient->set($oids[0], "Sitestats", $config);
$errors = array_merge($errors, $cceClient->errors());

print($serverScriptHelper->toHandlerHtml("/base/sitestats/summary.php?type=$type&group=$group&nodump=1", $errors));

$serverScriptHelper->destructor();
?>
